<template>
  <div>
    <h1>{{ centre.name }}</h1>
    <p>{{ centre.address }}</p>
    <p>
      Website: 
      <a :href="centre.website" target="_blank">{{ centre.website }}</a>
    </p>
    <img :src="centre.logo" alt="Centre Logo" />
    <h2>Sponsors</h2>
    <ul>
      <li v-for="sponsor in centre.sponsors" :key="sponsor.id">
        <h3>{{ sponsor.business_name }}</h3>
        <p>Category: {{ sponsor.category }}</p>
        <p>Phone: {{ sponsor.phone }}</p>
        <p>
          Website: 
          <a :href="sponsor.website" target="_blank">{{ sponsor.website }}</a>
        </p>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  async asyncData({ params, $axios, error }) {
    try {
      const centre = await $axios.$get(`/medical-centres/${params.slug}`)
      return { centre }
    } catch (err) {
      console.error('Error fetching centre data:', err)
      error({ statusCode: err.response?.status || 500, message: err.message })
    }
  }
}
</script>